Package org.opensaml.xacml.policy.impl

# Class SubjectAttributeDesignatorTypeUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.xacml.impl.AbstractXACMLObjectUnmarshaller
org.opensaml.xacml.policy.impl.AttributeDesignatorTypeUnmarshaller
org.opensaml.xacml.policy.impl.SubjectAttributeDesignatorTypeUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class SubjectAttributeDesignatorTypeUnmarshaller extends AttributeDesignatorTypeUnmarshaller
Unmarshaller for `SubjectAttributeDesignatorType`.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`SubjectAttributeDesignatorTypeUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processAttribute(XMLObject xmlObject, Attr attribute)`
Called after an attribute has been unmarshalled so that it can be added to the XMLObject.

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processChildElement, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubjectAttributeDesignatorTypeUnmarshaller

public SubjectAttributeDesignatorTypeUnmarshaller()

## Method Details

### processAttribute

protected void processAttribute(XMLObject xmlObject, Attr attribute) throws UnmarshallingException
Called after an attribute has been unmarshalled so that it can be added to the XMLObject. The default implementation of this method is a no-op

Overrides:
  `processAttribute` in class `AttributeDesignatorTypeUnmarshaller`
Parameters:
  `xmlObject` - the XMLObject
  `attribute` - the attribute
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the attribute to the XMLObject